Remove Procedures

Removes specified procedures.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

DELETE /api/sonar/procedures
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d guids=5ad13151-dbc1-41c0-92a7-dfeb5f534f4c \
     -X DELETE https://HOSTNAME/api/sonar/procedures
Request Parameters
KeyRequiedTypeDescriptionNote
guidsOList of StringsProcedure identifier listComma-separated GUID list

Success Response

{
  "failures": []
}

Error Responses

Procedure is not found

Items that failed to be deleted are returned in the failures list, and the HTTP status code is still 200.

{
  "failures": [
    {
      "id": "c1dfe306-abba-4ed8-862b-0e98e2effcb6",
      "reason": "procedure not found: c1dfe306-abba-4ed8-862b-0e98e2effcb6"
    }
  ]
}
guids is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guids should be not null"
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}